> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steuerboard.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a workspace member

> Removes a workspace member from a workspace.



## OpenAPI

````yaml https://api.steuerboard.com/v1/openapi delete /workspaces/{id}/members
openapi: 3.1.1
info:
  version: 0.1.0
  title: Steuerboard API
servers:
  - url: https://api.steuerboard.com/v1
security:
  - bearerAuth: []
tags:
  - name: auth
    description: Authentication and identity endpoints
    x-displayName: Auth
  - name: collect
    description: Public collect session endpoints
    x-displayName: Collect
  - name: collect.sessions
    description: Collect Sessions endpoints
    x-displayName: Collect Sessions
  - name: health
    description: Service health endpoints
    x-displayName: Health
  - name: admin.clients
    description: Admin endpoints for managing clients
    x-displayName: Clients
  - name: admin.users
    description: Admin user management endpoints
    x-displayName: Admin Users
  - name: files
    description: File management endpoints
    x-displayName: Files
  - name: tasks
    description: Task management endpoints
    x-displayName: Tasks
  - name: workspaces
    description: Workspace management endpoints
    x-displayName: Workspaces
  - name: workspace.members
    description: Workspace member management endpoints
    x-displayName: Workspace Members
  - name: webhooks
    description: Webhook event payloads and contracts
    x-displayName: Webhooks
  - name: users
    description: User management endpoints
    x-displayName: Users
externalDocs:
  description: Find out more about Steuerboard API
  url: https://docs.steuerboard.com
paths:
  /workspaces/{id}/members:
    delete:
      tags:
        - workspace.members
      summary: Remove a workspace member
      description: Removes a workspace member from a workspace.
      operationId: removeWorkspaceMember
      parameters:
        - schema:
            type: string
            format: cuid
            description: The ID of the item
            example: cmf41ajzv003706un4i99q19z
          required: true
          in: path
          name: id
        - schema:
            type: string
            format: cuid
            description: The ID of the client
            example: cmf41ajzv003706un4i99q19z
          required: true
          name: x-client-id
          in: header
      requestBody:
        description: Workspace member remove
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceMemberRemove'
      responses:
        '200':
          description: Workspace member removed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteResponse'
        '400':
          description: Missing client ID
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/bad_request'
                  - properties:
                      status_code:
                        type: integer
                        enum:
                          - 400
                      type:
                        type: string
                        enum:
                          - bad_request
                      code:
                        type: string
                        enum:
                          - missing_client_id
                      message:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/auth_error'
        '403':
          description: Missing scope
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/auth_error'
                  - properties:
                      status_code:
                        type: integer
                        enum:
                          - 403
                      type:
                        type: string
                        enum:
                          - auth_error
                      code:
                        type: string
                        enum:
                          - missing_scope
                      message:
                        type: string
        '422':
          description: Invalid id error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            path:
                              type: array
                              items:
                                anyOf:
                                  - type: string
                                  - type: number
                            message:
                              type: string
                          required:
                            - code
                            - path
                      name:
                        type: string
                    required:
                      - issues
                      - name
                    example:
                      name: ValidationError
                      issues:
                        - code: invalid_type
                          path:
                            - id
                          message: Required
                required:
                  - success
                  - error
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rate_limit'
        '500':
          description: Internal server error
          content: {}
components:
  schemas:
    WorkspaceMemberRemove:
      type: object
      properties:
        userId:
          type: string
          format: cuid
          description: Identifier of the user that should be removed from the workspace.
          example: cmf41ajzv003706un4i99q1a0
      required:
        - userId
    DeleteResponse:
      type: object
      properties:
        object:
          type: string
          description: The type of the deleted object
          example: file
        deleted:
          type: boolean
          description: Whether the object was deleted
          example: true
        id:
          type: string
          format: cuid
          description: The ID of the deleted object
          example: cmf41ajzv003706un4i99q19z
      required:
        - object
        - deleted
        - id
    bad_request:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 410
        type:
          type: string
          enum:
            - bad_request
        code:
          type: string
          enum:
            - collect_token_expired
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
    auth_error:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 401
        type:
          type: string
          enum:
            - auth_error
        code:
          type: string
          enum:
            - unauthorized
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
    rate_limit:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 429
        type:
          type: string
          enum:
            - rate_limit
        code:
          type: string
          enum:
            - too_many_requests
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication

````